image: docker:latest

services:
  - docker:dind

stages:
  - build
  - test

variables:
  DOCKER_IMAGE: registry.gitlab.com/sergeev.miha/docker-images:python3.8

build python 3.8 image:
  stage: build
  before_script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN registry.gitlab.com
  script:
    - docker build --pull -f python3.8/Dockerfile -t $DOCKER_IMAGE .
    - docker push $DOCKER_IMAGE
  only:
    changes:
      - python3.8/*

test python 3.8 image:
  stage: test
  image: $DOCKER_IMAGE
  script:
    - python3 -V
  only:
    changes:
      - python3.8/*